Hook News 1.0.8

Does HookNews API work with WordPress 6.0.2 and PHP 7.4.8? A smoke test was performed on .

Summary

Errors
16PHP fatal errors
1PHP notices
16PHP deprecation warnings
No JavaScript exceptions
2Pages failed to load
  • 2 500 Internal Server Error
No resource errors
Performance

Memory usage: 0 bytes
The average PHP memory usage increased by this amount after activating by the plugin.

Page speed impact: insignificant.
The plugin didn't make the site noticeably slower.

Environment
WordPress version6.0.2
PHP version7.4.8
MySQL version8.0.21
PHP memory limit256M
Plugin Info
Last updated
Active installs <10
WordPress.org page https://wordpress.org/plugins/hooknews/
Badges

WordPress compatibility badge PHP compatibility badge

Get badge code

Pages 2

WordPress › Error

Page screenshot: WordPress › Error
URL /wp-admin/plugins.php?activate=true&plugin_status=all&paged=1&s=
Requested URL /wp-admin/plugins.php?action=activate&plugin=hooknews%2Fhooknews.php&plugin_status=all&paged=1&s&_wpnonce=bb6303071e
Aspect after-activation
HTTP status 500
Load time 0.148 s
Memory usage N/A
JS errors None
Resource errors None

WordPress › Error

Page screenshot: WordPress › Error
URL /
Aspect front-page
HTTP status 500
Load time 0.047 s
Memory usage N/A
JS errors None
Resource errors None

Benchmark

No benchmark data available.

Code Statistics

Note: Third-party libraries and minified JS/CSS files are excluded from these statistics where possible, so the numbers you see here may be lower than those reported by other tools.

PHP
Language % Lines of code Comment lines Files
PHP100.0%299291
Total 299 29 1

PHP Code Analysis | More results »

Lines of code 301
Total complexity 62
Median class complexity 0.0
Median method complexity 3.0
Most complex class HookAPI
Most complex function HookAPI::hooknews_form()
Classes 1
Methods 12
Functions 1

Additions

Things that the plugin adds to the site. This section is not intended to be comprehensive. The test tool only looks for a few specific types of added content.

No new entries found.

PHP Error Log 209 lines

[23-Sep-2022 02:45:39 UTC] PHP Notice:  Undefined variable: wp_version in /wp-content/plugins/hooknews/hooknews.php on line 407
[23-Sep-2022 02:45:39 UTC] PHP Deprecated:  Function load_plugin_textdomain was called with an argument that is <strong>deprecated</strong> since version 2.7.0 with no alternative available. in /wp-includes/functions.php on line 5673
[23-Sep-2022 02:45:39 UTC] PHP Fatal error:  Uncaught Error: Call to undefined function mysql_query() in /wp-content/plugins/hooknews/hooknews.php:23
Stack trace:
#0 /wp-includes/class-wp-hook.php(307): HookAPI->init()
#1 /wp-includes/class-wp-hook.php(331): WP_Hook->apply_filters()
#2 /wp-includes/plugin.php(476): WP_Hook->do_action()
#3 /wp-settings.php(598): do_action()
#4 /wp-config.php(109): require_once('/opt/bitnami/ap...')
#5 /wp-load.php(50): require_once('/opt/bitnami/ap...')
#6 /wp-admin/admin.php(34): require_once('/opt/bitnami/ap...')
#7 /wp-admin/plugins.php(10): require_once('/opt/bitnami/ap...')
#8 {main}
  thrown in /wp-content/plugins/hooknews/hooknews.php on line 23
[23-Sep-2022 02:45:40 UTC] PHP Deprecated:  Function load_plugin_textdomain was called with an argument that is <strong>deprecated</strong> since version 2.7.0 with no alternative available. in /wp-includes/functions.php on line 5673
[23-Sep-2022 02:45:40 UTC] PHP Fatal error:  Uncaught Error: Call to undefined function mysql_query() in /wp-content/plugins/hooknews/hooknews.php:23
Stack trace:
#0 /wp-includes/class-wp-hook.php(307): HookAPI->init()
#1 /wp-includes/class-wp-hook.php(331): WP_Hook->apply_filters()
#2 /wp-includes/plugin.php(476): WP_Hook->do_action()
#3 /wp-settings.php(598): do_action()
#4 /wp-config.php(109): require_once('/opt/bitnami/ap...')
#5 /wp-load.php(50): require_once('/opt/bitnami/ap...')
#6 /wp-admin/admin.php(34): require_once('/opt/bitnami/ap...')
#7 /wp-admin/index.php(10): require_once('/opt/bitnami/ap...')
#8 {main}
  thrown in /wp-content/plugins/hooknews/hooknews.php on line 23
[23-Sep-2022 02:45:40 UTC] PHP Deprecated:  Function load_plugin_textdomain was called with an argument that is <strong>deprecated</strong> since version 2.7.0 with no alternative available. in /wp-includes/functions.php on line 5673
[23-Sep-2022 02:45:40 UTC] PHP Fatal error:  Uncaught Error: Call to undefined function mysql_query() in /wp-content/plugins/hooknews/hooknews.php:23
Stack trace:
#0 /wp-includes/class-wp-hook.php(307): HookAPI->init()
#1 /wp-includes/class-wp-hook.php(331): WP_Hook->apply_filters()
#2 /wp-includes/plugin.php(476): WP_Hook->do_action()
#3 /wp-settings.php(598): do_action()
#4 /wp-config.php(109): require_once('/opt/bitnami/ap...')
#5 /wp-load.php(50): require_once('/opt/bitnami/ap...')
#6 /wp-blog-header.php(13): require_once('/opt/bitnami/ap...')
#7 /index.php(17): require('/opt/bitnami/ap...')
#8 {main}
  thrown in /wp-content/plugins/hooknews/hooknews.php on line 23
[23-Sep-2022 02:45:41 UTC] PHP Deprecated:  Function load_plugin_textdomain was called with an argument that is <strong>deprecated</strong> since version 2.7.0 with no alternative available. in /wp-includes/functions.php on line 5673
[23-Sep-2022 02:45:41 UTC] PHP Fatal error:  Uncaught Error: Call to undefined function mysql_query() in /wp-content/plugins/hooknews/hooknews.php:23
Stack trace:
#0 /wp-includes/class-wp-hook.php(307): HookAPI->init()
#1 /wp-includes/class-wp-hook.php(331): WP_Hook->apply_filters()
#2 /wp-includes/plugin.php(476): WP_Hook->do_action()
#3 /wp-settings.php(598): do_action()
#4 /wp-config.php(109): require_once('/opt/bitnami/ap...')
#5 /wp-load.php(50): require_once('/opt/bitnami/ap...')
#6 /wp-admin/admin.php(34): require_once('/opt/bitnami/ap...')
#7 /wp-admin/index.php(10): require_once('/opt/bitnami/ap...')
#8 {main}
  thrown in /wp-content/plugins/hooknews/hooknews.php on line 23
[23-Sep-2022 02:45:41 UTC] PHP Deprecated:  Function load_plugin_textdomain was called with an argument that is <strong>deprecated</strong> since version 2.7.0 with no alternative available. in /wp-includes/functions.php on line 5673
[23-Sep-2022 02:45:41 UTC] PHP Fatal error:  Uncaught Error: Call to undefined function mysql_query() in /wp-content/plugins/hooknews/hooknews.php:23
Stack trace:
#0 /wp-includes/class-wp-hook.php(307): HookAPI->init()
#1 /wp-includes/class-wp-hook.php(331): WP_Hook->apply_filters()
#2 /wp-includes/plugin.php(476): WP_Hook->do_action()
#3 /wp-settings.php(598): do_action()
#4 /wp-config.php(109): require_once('/opt/bitnami/ap...')
#5 /wp-load.php(50): require_once('/opt/bitnami/ap...')
#6 /wp-admin/admin.php(34): require_once('/opt/bitnami/ap...')
#7 /wp-admin/edit.php(10): require_once('/opt/bitnami/ap...')
#8 {main}
  thrown in /wp-content/plugins/hooknews/hooknews.php on line 23
[23-Sep-2022 02:45:41 UTC] PHP Deprecated:  Function load_plugin_textdomain was called with an argument that is <strong>deprecated</strong> since version 2.7.0 with no alternative available. in /wp-includes/functions.php on line 5673
[23-Sep-2022 02:45:41 UTC] PHP Fatal error:  Uncaught Error: Call to undefined function mysql_query() in /wp-content/plugins/hooknews/hooknews.php:23
Stack trace:
#0 /wp-includes/class-wp-hook.php(307): HookAPI->init()
#1 /wp-includes/class-wp-hook.php(331): WP_Hook->apply_filters()
#2 /wp-includes/plugin.php(476): WP_Hook->do_action()
#3 /wp-settings.php(598): do_action()
#4 /wp-config.php(109): require_once('/opt/bitnami/ap...')
#5 /wp-load.php(50): require_once('/opt/bitnami/ap...')
#6 /wp-admin/admin.php(34): require_once('/opt/bitnami/ap...')
#7 /wp-admin/post-new.php(10): require_once('/opt/bitnami/ap...')
#8 {main}
  thrown in /wp-content/plugins/hooknews/hooknews.php on line 23
[23-Sep-2022 02:45:41 UTC] PHP Deprecated:  Function load_plugin_textdomain was called with an argument that is <strong>deprecated</strong> since version 2.7.0 with no alternative available. in /wp-includes/functions.php on line 5673
[23-Sep-2022 02:45:41 UTC] PHP Fatal error:  Uncaught Error: Call to undefined function mysql_query() in /wp-content/plugins/hooknews/hooknews.php:23
Stack trace:
#0 /wp-includes/class-wp-hook.php(307): HookAPI->init()
#1 /wp-includes/class-wp-hook.php(331): WP_Hook->apply_filters()
#2 /wp-includes/plugin.php(476): WP_Hook->do_action()
#3 /wp-settings.php(598): do_action()
#4 /wp-config.php(109): require_once('/opt/bitnami/ap...')
#5 /wp-load.php(50): require_once('/opt/bitnami/ap...')
#6 /wp-admin/admin.php(34): require_once('/opt/bitnami/ap...')
#7 /wp-admin/upload.php(10): require_once('/opt/bitnami/ap...')
#8 {main}
  thrown in /wp-content/plugins/hooknews/hooknews.php on line 23
[23-Sep-2022 02:45:41 UTC] PHP Deprecated:  Function load_plugin_textdomain was called with an argument that is <strong>deprecated</strong> since version 2.7.0 with no alternative available. in /wp-includes/functions.php on line 5673
[23-Sep-2022 02:45:41 UTC] PHP Fatal error:  Uncaught Error: Call to undefined function mysql_query() in /wp-content/plugins/hooknews/hooknews.php:23
Stack trace:
#0 /wp-includes/class-wp-hook.php(307): HookAPI->init()
#1 /wp-includes/class-wp-hook.php(331): WP_Hook->apply_filters()
#2 /wp-includes/plugin.php(476): WP_Hook->do_action()
#3 /wp-settings.php(598): do_action()
#4 /wp-config.php(109): require_once('/opt/bitnami/ap...')

(+109 more lines)
See also: All tests for this plugin